POST https://webhook.example.com

Headers

  • Content-Type string

    application/json

    Default value is application/json.

  • Accept string

    application/json

    Default value is application/json.

  • User-Agent string

    Deliverect/{version}

    Default value is Deliverect/{version}.

  • X-Server-Authorization-HMAC-SHA256 string

    {signature}

    Default value is {signature}.

application/json

Body

  • apiKey string

    A unique identifier, typically a string of characters, used to authenticate and authorize a user, application, or project when interacting with an API.

  • loyaltyProfileId string

    The Id of the profile where the response configuration was stored

  • accountId string

    The Deliverect's account id of the customer.

Responses

  • 200 application/json

    200

    Hide response attributes Show response attributes object
    • customerURL string
    • loyaltyProgramsURL string
    • orderURL string
    • tiersURL string
  • 400 application/json

    400

POST /loyalty/registration
Request example
{
  "accountId": "6401c934c43f86ebfedaeb9c",
  "loyaltyProfileId": "67acb1893b57bab8866dfa4c",
  "apiKey": "123***890"
}
Response examples (200)
{
  "customerURL": "https://yourserver.com/customer",
  "customerWalletURL": "https://yourserver.com/customerWallet",
  "validateWalletURL": "https://yourserver.com/validateWallet",
  "loyaltyProgramsURL": "https://yourserver.com/programs",
  "loyaltyValidateProgramsURL": "https://yourserver.com/validatePrograms",
  "orderURL": "https://yourserver.com/orders",
  "tiersURL": "https://yourserver.com/tiers"
}
{
  "customerURL": "https://yourserver.com/customer",
  "customerWalletURL": "https://yourserver.com/customerWallet",
  "validateWalletURL": "https://yourserver.com/validateWallet",
  "loyaltyProgramsURL": "https://yourserver.com/programs",
  "loyaltyValidateProgramsURL": "https://yourserver.com/validatePrograms",
  "orderURL": "https://yourserver.com/orders",
  "tiersURL": "https://yourserver.com/tiers",
  "oauthUrl": "https://yourserver.com/oauth",
  "oauthClientId": "myClientId",
  "oauthClientSecret": "zxcv1323"
}
Response examples (400)
{
  "value": ""
}